%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define _cachedir /var/cache
%define _logdir /var/log

##########################################################################
# Set default freevo parameters
%define geometry 800x600
%define display  x11

##########################################################################


%if %{?_without_us_defaults:0}%{!?_without_us_defaults:1}
%define tv_norm  ntsc
%define chanlist us-cable
%else
%define tv_norm  pal
%define chanlist europe-west
%endif

##########################################################################

Name:           freevo
Version:        1.7.2
Release:        2%{?dist}
Summary:        Freevo is an open-source home theatre

Group:          Applications/Multimedia
License:        GPL
URL:            http://freevo.sourceforge.net/
Source0:        http://downloads.sourceforge.net/freevo/freevo-%{version}.tar.gz
Source1:        redhat-boot_config
Patch0:         freevo-1.7.0-py25-elementtree.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires: python-devel
BuildRequires: pygame, python-twisted
BuildRequires: python-kaa-base, python-kaa-metadata, python-kaa-imlib2
BuildRequires: python-BeautifulSoup, python-imaging
BuildRequires: SDL-devel
Requires: SDL >= 1.2.6, SDL_image >= 1.2.3, SDL_ttf >= 2.0.6, SDL_mixer >= 1.2.5
Requires: smpeg >= 0.4.4, freetype >= 2.1.4, util-linux
Requires: libjpeg >= 6b, libexif >= 0.5.10
Requires: python >= 2.4, pygame >= 1.6, PyXML
Requires: python-kaa-base, python-kaa-metadata, python-kaa-imlib2
Requires: mx >= 2.0.5, python-numeric >= 23.1,
Requires: python-twisted >= 1.3.0
Requires: lsdvd >= 0.16
Requires: python-elementtree
Requires: python-BeautifulSoup
Requires: python-imaging

Obsoletes: freevo17 =< 1.7.0
Provides: freevo17 = %{version}-%{release}

%if "%fedora" < "7"
BuildRequires: python-elementtree
Requires: python-elementtree
%endif


%description
Freevo is a Linux application that turns a PC with a TV capture card
and/or TV-out into a standalone multimedia jukebox/VCR. It builds on
other applications such as xine, mplayer, tvtime and mencoder to play
and record video and audio.

%package boot
Summary: Files to enable a standalone Freevo system (started from initscript)
Group: Applications/Multimedia
Requires:       freevo = %{version}-%{release}
Obsoletes: freevo17-boot < 1.7.0

%description boot
Freevo is a Linux application that turns a PC with a TV capture card
and/or TV-out into a standalone multimedia jukebox/VCR. It builds on
other applications such as mplayer and mencoder to play and record
video and audio.

Note: This installs the initscripts necessary for a standalone Freevo system.



%prep
%setup -q
%patch0 -p1 -b .pyel25
# Used for SVN version only
#./autogen.sh

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.po' -exec rm -f {} ';'

# Removed unneeded shebang
for i in record.rpy search.rpy plugins.py recordserver.py library.rpy manualrecord.rpy webremote.rpy wap_login.rpy edit_favorite.rpy commdetectserver.py favorites.rpy index.rpy makestationlist.py daemon.py proginfo.rpy vtrelease.py cache.py schedulefavorites.py remote.py makelogos.py install.py imdb.py iceslistchanger.rpy howto.rpy commdetectclient.py genre.rpy index.rpy encodingserver.py doc.rpy fileinfo.rpy makelircrc.py guide.rpy dvdbackup.py plugins.rpy wap_rec.rpy ;do
sed -i -e 's|#!/usr/bin/env python|#|' $(find $RPM_BUILD_ROOT -name $i)
done

# codingclient.py applelib.py

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/freevo
# The following is needed to let RPM know that the files should be backed up
echo "#Conf file for freevo" > $RPM_BUILD_ROOT%{_sysconfdir}/freevo/freevo.conf

# boot scripts
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 boot/freevo $RPM_BUILD_ROOT%{_initrddir}
#install -m 755 boot/freevo_dep $RPM_BUILD_ROOT%{_initrddir}
install -m 755 boot/recordserver $RPM_BUILD_ROOT%{_initrddir}/freevo_recordserver
install -m 755 boot/webserver $RPM_BUILD_ROOT%{_initrddir}/freevo_webserver
install -m 755 boot/recordserver_init $RPM_BUILD_ROOT%{_bindir}/freevo_recordserver_init
install -m 755 boot/webserver_init $RPM_BUILD_ROOT%{_bindir}/freevo_webserver_init
install -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/freevo/boot_config

# cache and log directories
mkdir -p $RPM_BUILD_ROOT%{_logdir}/freevo
mkdir -p $RPM_BUILD_ROOT%{_cachedir}/freevo
mkdir -p $RPM_BUILD_ROOT%{_cachedir}/freevo/{thumbnails,audio}
mkdir -p $RPM_BUILD_ROOT%{_cachedir}/xmltv/logos
chmod 777 $RPM_BUILD_ROOT%{_cachedir}/{freevo,freevo/thumbnails,freevo/audio,xmltv,xmltv/logos}
chmod 777 $RPM_BUILD_ROOT%{_logdir}/freevo

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/contrib
cp -av contrib/lirc $RPM_BUILD_ROOT%{_datadir}/%{name}/contrib
cp -av contrib/plugins $RPM_BUILD_ROOT%{_datadir}/%{name}/contrib
cp -av contrib/video $RPM_BUILD_ROOT%{_datadir}/%{name}/contrib



%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT



%post boot
# Add the service if not present, but don't automatically invoke it
# user has to enable it via ntsysv
if [ -x /sbin/chkconfig ]; then
  if [ `chkconfig --list freevo 2> /dev/null |fgrep -c freevo` -eq 0 ]; then
     chkconfig --add freevo
     chkconfig --levels 234 freevo off
  fi
  if [ `chkconfig --list freevo_recordserver 2> /dev/null |fgrep -c freevo_recordserver` -eq 0 ]; then
     chkconfig --add freevo_recordserver
     chkconfig --levels 234 freevo_recordserver off
  fi
  if [ `chkconfig --list freevo_webserver 2> /dev/null |fgrep -c freevo_webserver` -eq 0 ]; then
     chkconfig --add freevo_webserver
     chkconfig --levels 234 freevo_webserver off
  fi
fi


%preun boot
if [ "$1" == 0 ] ; then
  if [ -x /sbin/chkconfig ]; then
     chkconfig --del freevo
     chkconfig --del freevo_recordserver
     chkconfig --del freevo_webserver
  fi
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING FAQ README TODO local_conf.py.example 
%doc Docs/*
%{_bindir}/freevo
%dir %{_sysconfdir}/freevo
%config(noreplace) %{_sysconfdir}/freevo/freevo.conf
%dir %{_datadir}/freevo
%{_datadir}/freevo/*
#{_libdir}/*
%dir %{_logdir}/freevo
%dir %{_cachedir}/freevo
%{_cachedir}/freevo/*
%{python_sitelib}/*

%files boot
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/freevo/boot_config
%{_initrddir}/*
%{_bindir}/freevo_*


%changelog
* Tue Jun  5 2007 kwizart < kwizart at gmail.com > - 1.7.2-2
- Add patch to help building with python 2.5

* Fri Jun  2 2007 kwizart < kwizart at gmail.com > - 1.7.2-1
- Update to 1.7.2
- Add missing BR python-kaa-imlib2 python-imaging

* Fri May  4 2007 kwizart < kwizart at gmail.com > - 1.7.1-2
- Fix the Docs dir 

* Wed May  2 2007 kwizart < kwizart at gmail.com > - 1.7.1-1
- Update to 1.7.1

* Wed Apr 18 2007 kwizart < kwizart at gmail.com > - 1.7.0-1
- Cleaned spec for Fedora 

* Mon Feb 26 2007 TC Wan <tcwan@cs.usm.my>
- Built 1.7.0 for FC5 

* Wed Nov 29 2006 TC Wan <tcwan@cs.usm.my>
- Built 1.6.1 for FC5 

* Mon Oct 30 2006 TC Wan <tcwan@cs.usm.my>
- Built 1.6.0 for FC5 

* Tue May  2 2006 TC Wan <tcwan@cs.usm.my>
- Rebuilt 1.5.4 for FC5 

